/* vim: set sw=3 ts=3 sts=3 expandtab: */
#ifndef ECDB_WIDGETS_H
#define ECDB_WIDGETS_H

Evas_Object *ecdb_button_add(Evas_Object *parent, const char *name);
void         ecdb_button_label_set(Evas_Object *b, const char *label);
void         ecdb_button_icon_set(Evas_Object *b, const char *group);

Evas_Object	*ecdb_check_add(Evas_Object *parent, const char *name);
void         ecdb_check_label_set(Evas_Object *c, const char *label);
void         ecdb_check_states_set(Evas_Object *c, const char *ystate,
                                                   const char *nstate);
void         ecdb_check_state_set(Evas_Object *c, int state);

Evas_Object *ecdb_entry_add(Evas_Object *parent, const char *name);
void         ecdb_entry_text_set(Evas_Object *e, const char *text);
char        *ecdb_entry_text_get(Evas_Object *e);

#endif
